PPSPYAPI Platform
EN / 中文
API REFERENCE

Advertisers for Ad Store API

GET/open-api/v1/ad-stores/advertisers
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-stores/advertisers?store_id=3da0b54f87306bebc81196bcf8cdba02' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}'

Request parameters 3 fields

Pass each parameter in its specified location.

Parameter Type Description
store_id
query · required
string Ad Store ID |
page
query · optional
integer Page Number | Minimum value: 1
per_page
query · optional
integer Items per Page | Range: 1-100

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "current_page": 10,
        "data": [
            {
                "id": "095ee5d9bf6b0b4bddfc2977c27658a9",
                "name": "Bloery",
                "profile_picture_url": "https://fb-cdn.pipiads.com/images/06df50c2211137e09471ad37030c195b.png",
                "category_name": null,
                "like_count": 13,
                "creation_time": null,
                "ad_platform": [
                    "FACEBOOK",
                    "INSTAGRAM",
                    "AUDIENCE_NETWORK",
                    "MESSENGER"
                ],
                "ad_count": 1,
                "ad_source": 1,
                "source_advertiser_id": "383656001491233",
                "store_ad_count": 1,
                "ads_library_link": "https://www.facebook.com/ads/library/?active_status=active&ad_type=all&country=ALL&is_targeted_country=false&media_type=all&search_type=page&view_all_page_id=383656001491233"
            }
        ],
        "last_page": 1,
        "per_page": 1,
        "total": 1
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business Status Code
» message string true none Response Message
» data object true none Response Data
»» current_page integer true none Current Page
»» data [object] true none Data List
»»» advertiser_info object¦null false none Advertiser Information
»»»» id string true none Advertiser ID
»»»» name string true none Advertiser Name
»»»» profile_picture_url string¦null true none Profile Picture URL
»»»» category_name string¦null true none Category Name
»»»» like_count integer¦null true none Likes Count
»»»» creation_time integer¦null true none Creation Time (Unix)
»»»» ad_platform [string] true none Ad Platforms
»»»» ad_count integer true none Total Ads Count
»»»» store_ad_count integer true none Ads in Current Store
»»»» ads_library_link string true none Ads Library Link
»» last_page integer true none Last Page Number
»» per_page integer true none Items per Page
»» total integer true none Total Records
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths